#include <array>

#include "copasi/function/FunctionDB.xml.h"

static std::array< const char*, 4 > FunctionDBxmlArray = {
  "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
  "<!-- generated with COPASI (http://www.copasi.org) -->\n"
  "<COPASI xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:noNamespaceSchemaLocation=\"https://copasi.org/static/schema/CopasiML.xsd\">\n"
  "<ListOfFunctions>\n"
  "<Function key=\"Function_0\" name=\"Allosteric inhibition (MWC)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*(substrate/Ks)*(1+(substrate/Ks))^(n-1)/(L*(1+Inhibitor/Ki)^n+(1+(substrate/Ks))^n)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_0\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_1\" name=\"Inhibitor\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_2\" name=\"V\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_3\" name=\"Ks\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_4\" name=\"n\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_5\" name=\"L\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_6\" name=\"Ki\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_1\" name=\"Allosteric inhibition (empirical)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/(1+substrate/Kms+product/Kmp+(Inhibitor/Ki)^n)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_7\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_8\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_9\" name=\"Inhibitor\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_10\" name=\"Vf\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_11\" name=\"Vr\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_12\" name=\"Kms\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_13\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_14\" name=\"n\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_15\" name=\"Ki\" order=\"8\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_2\" name=\"Catalytic activation (irrev)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate*Activator/((Kms+substrate)*(Ka+Activator))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_16\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_17\" name=\"Activator\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_18\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_19\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_20\" name=\"Ka\" order=\"4\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_3\" name=\"Catalytic activation (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)*Activator/((1+substrate/Kms+product/Kmp)*(Ka+Activator))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_21\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_22\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_23\" name=\"Activator\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_24\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_25\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_26\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_27\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_28\" name=\"Ka\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_4\" name=\"Competitive inhibition (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate/(Km+substrate+Km*Inhibitor/Ki)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_29\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_30\" name=\"Inhibitor\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_31\" name=\"Km\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_32\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_33\" name=\"Ki\" order=\"4\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_5\" name=\"Competitive inhibition (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/(1+substrate/Kms+product/Kmp+Inhibitor/Ki)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_34\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_35\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_36\" name=\"Inhibitor\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_37\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_38\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_39\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_40\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_41\" name=\"Ki\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_6\" name=\"Constant flux (irreversible)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "v\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_42\" name=\"v\" order=\"0\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_7\" name=\"Constant flux (reversible)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "v\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_43\" name=\"v\" order=\"0\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_8\" name=\"Henri-Michaelis-Menten (irreversible)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate/(Km+substrate)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_44\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_45\" name=\"Km\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_46\" name=\"V\" order=\"2\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_9\" name=\"Hill Cooperativity\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*(substrate/Shalve)^h/(1+(substrate/Shalve)^h)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_47\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_48\" name=\"Shalve\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_49\" name=\"V\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_50\" name=\"h\" order=\"3\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_10\" name=\"Hyperbolic modifier (irrev)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate*(1+b*Modifier/(a*Kd))/(Km*(1+Modifier/Kd)+substrate*(1+Modifier/(a*Kd)))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_51\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_52\" name=\"Modifier\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_53\" name=\"Km\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_54\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_55\" name=\"Kd\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_56\" name=\"a\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_57\" name=\"b\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_11\" name=\"Hyperbolic modifier (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)*(1+b*Modifier/(a*Kd))/(1+Modifier/Kd+(substrate/Kms+product/Kmp)*(1+Modifier/(a*Kd)))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_58\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_59\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_60\" name=\"Modifier\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_61\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_62\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_63\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_64\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_65\" name=\"Kd\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_66\" name=\"a\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_67\" name=\"b\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_12\" name=\"Iso Uni Uni\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*(substrate-product/Keq)/(substrate*(1+product/Kii)+Kms*(1+product/Kmp))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_68\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_69\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_70\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_71\" name=\"Kmp\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_72\" name=\"Kii\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_73\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_74\" name=\"Keq\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_13\" name=\"Mass action (irreversible)\" type=\"MassAction\" reversible=\"false\">\n"
  "  <MiriamAnnotation>\n"
  "   <rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "   <rdf:Description rdf:about=\"#Function_13\">\n"
  "   <CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000163\"/>\n"
  "   </rdf:Description>\n"
  "   </rdf:RDF>\n"
  "  </MiriamAnnotation>\n"
  "  <Comment>\n"
  "<body xmlns=\"http://www.w3.org/1999/xhtml\">\n"
  "<b>Mass action rate law for irreversible reactions</b>\n"
  "<p>\n"
  "Reaction scheme where the products are created from the reactants and the change of a product quantity is proportional to the product of reactant activities. The reaction scheme does not include any reverse process that creates the reactants from the products. The change of a product quantity is proportional to the quantity of one reactant.\n"
  "</p>\n"
  "</body>\n"
  "  </Comment>\n"
  "<Expression>\n"
  "k1*PRODUCT&lt;substrate_i&gt;\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_75\" name=\"k1\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_76\" name=\"substrate\" order=\"1\" role=\"substrate\" minOccurs=\"1\" maxOccurs=\"unbounded\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_14\" name=\"Mass action (reversible)\" type=\"MassAction\" reversible=\"true\">\n"
  "  <MiriamAnnotation>\n"
  "   <rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "   <rdf:Description rdf:about=\"#Function_14\">\n"
  "   <CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000042\"/>\n"
  "   </rdf:Description>\n"
  "   </rdf:RDF>\n"
  "  </MiriamAnnotation>\n"
  "  <Comment>\n"
  "<body xmlns=\"http://www.w3.org/1999/xhtml\">\n"
  "<b>Mass action rate law for reversible reactions</b>\n"
  "<p>\n"
  "Reaction scheme where the products are created from the reactants and the change of a product quantity is proportional to the product of reactant activities. The reaction scheme does include a reverse process that creates the reactants from the products.\n"
  "</p>\n"
  "</body>\n"
  "  </Comment>\n"
  "<Expression>\n"
  "k1*PRODUCT&lt;substrate_i&gt;-k2*PRODUCT&lt;product_j&gt;\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_77\" name=\"k1\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_78\" name=\"substrate\" order=\"1\" role=\"substrate\" minOccurs=\"1\" maxOccurs=\"unbounded\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_79\" name=\"k2\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_80\" name=\"product\" order=\"3\" role=\"product\" minOccurs=\"1\" maxOccurs=\"unbounded\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_15\" name=\"Mixed activation (irrev)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate*Activator/(Kms*(Kas+Activator)+substrate*(Kac+Activator))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_81\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_82\" name=\"Activator\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_83\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_84\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_85\" name=\"Kas\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_86\" name=\"Kac\" order=\"5\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_16\" name=\"Mixed activation (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)*Activator/(Kas+Activator+(substrate/Kms+product/Kmp)*(Kac+Activator))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_87\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_88\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_89\" name=\"Activator\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_90\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_91\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_92\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_93\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_94\" name=\"Kas\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_95\" name=\"Kac\" order=\"8\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_17\" name=\"Mixed inhibition (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate/(Km*(1+Inhibitor/Kis)+substrate*(1+Inhibitor/Kic))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_96\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_97\" name=\"Inhibitor\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_98\" name=\"Km\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_99\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_100\" name=\"Kis\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_101\" name=\"Kic\" order=\"5\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_18\" name=\"Mixed inhibition (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/(1+Inhibitor/Kis+(substrate/Kms+product/Kmp)*(1+Inhibitor/Kic))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_102\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_103\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_104\" name=\"Inhibitor\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_105\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_106\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_107\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_108\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_109\" name=\"Kis\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_110\" name=\"Kic\" order=\"8\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_19\" name=\"Noncompetitive inhibition (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate/((Km+substrate)*(1+Inhibitor/Ki))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_111\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_112\" name=\"Inhibitor\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_113\" name=\"Km\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_114\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_115\" name=\"Ki\" order=\"4\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_20\" name=\"Noncompetitive inhibition (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/((1+substrate/Kms+product/Kmp)*(1+Inhibitor/Ki))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_116\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_117\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_118\" name=\"Inhibitor\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_119\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_120\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_121\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_122\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_123\" name=\"Ki\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_21\" name=\"Ordered Bi Bi\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*(substratea*substrateb-productp*productq/Keq)/(substratea*substrateb*(1+productp/Kip)+Kma*substrateb+Kmb*(substratea+Kia)+Vf/(Vr*Keq)*(Kmq*productp*(1+substratea/Kia)+productq*(Kmp*(1+Kma*substrateb/(Kia*Kmb))+productp*(1+substrateb/Kib))))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_124\" name=\"substratea\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_125\" name=\"substrateb\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_126\" name=\"productp\" order=\"2\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_127\" name=\"productq\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_128\" name=\"Keq\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_129\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_130\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_131\" name=\"Kma\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_132\" name=\"Kmb\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_133\" name=\"Kmp\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_134\" name=\"Kmq\" order=\"10\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_135\" name=\"Kia\" order=\"11\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_136\" name=\"Kib\" order=\"12\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_137\" name=\"Kip\" order=\"13\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_22\" name=\"Ordered Bi Uni\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*(substratea*substrateb-product/Keq)/(substratea*substrateb+Kma*substrateb+Kmb*substratea+Vf/(Vr*Keq)*(Kmp+product*(1+substratea/Kia)))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_138\" name=\"substratea\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_139\" name=\"substrateb\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_140\" name=\"product\" order=\"2\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_141\" name=\"Kma\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_142\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_143\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_144\" name=\"Kia\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_145\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_146\" name=\"Vf\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_147\" name=\"Vr\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_23\" name=\"Ordered Uni Bi\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*(substrate-productp*productq/Keq)/(Kms+substrate*(1+productp/Kip)+Vf/(Vr*Keq)*(Kmq*productp+Kmp*productq+productp*productq))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_148\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_149\" name=\"productp\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_150\" name=\"productq\" order=\"2\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_151\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_152\" name=\"Kmq\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_153\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_154\" name=\"Kip\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_155\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_156\" name=\"Vf\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_157\" name=\"Vr\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_24\" name=\"Ping Pong Bi Bi\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*(substratea*substrateb-productp*productq/Keq)/(substratea*substrateb+Kmb*substratea+Kma*substrateb*(1+productq/Kiq)+Vf/(Vr*Keq)*(Kmq*productp*(1+substratea/Kia)+productq*(Kmp+productp)))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_158\" name=\"substratea\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_159\" name=\"substrateb\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_160\" name=\"productp\" order=\"2\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_161\" name=\"productq\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_162\" name=\"Keq\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_163\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_164\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_165\" name=\"Kma\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_166\" name=\"Kmb\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_167\" name=\"Kmp\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_168\" name=\"Kmq\" order=\"10\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_169\" name=\"Kia\" order=\"11\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_170\" name=\"Kiq\" order=\"12\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_25\" name=\"Reversible Hill 1 modifier\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*substrate/Shalve*(1-product/(substrate*Keq))*(substrate/Shalve+product/Phalve)^(h-1)/((1+(Modifier/Mhalve)^h)/(1+alpha*(Modifier/Mhalve)^h)+(substrate/Shalve+product/Phalve)^h)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_171\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_172\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_173\" name=\"Modifier\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_174\" name=\"Keq\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_175\" name=\"Vf\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_176\" name=\"Shalve\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_177\" name=\"Phalve\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_178\" name=\"h\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_179\" name=\"Mhalve\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_180\" name=\"alpha\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_26\" name=\"Reversible Hill 2 modifiers\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*substrate/Shalve*(1-product/(substrate*Keq))*(substrate/Shalve+product/Phalve)^(h-1)/((1+(ModifierA/MAhalve)^h+(ModifierB/MBhalve)^h)/(1+alphaA*(ModifierA/MAhalve)^h+alphaB*(ModifierB/MBhalve)^h+alphaA*alphaB*alphaAB*(ModifierA/MAhalve)^h*(ModifierB/MBhalve)^h)+(substrate/Shalve+product/Phalve)^h)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_181\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_182\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_183\" name=\"ModifierA\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_184\" name=\"ModifierB\" order=\"3\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_185\" name=\"Keq\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_186\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_187\" name=\"Shalve\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_188\" name=\"Phalve\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_189\" name=\"h\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_190\" name=\"MAhalve\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_191\" name=\"alphaA\" order=\"10\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_192\" name=\"MBhalve\" order=\"11\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_193\" name=\"alphaB\" order=\"12\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_194\" name=\"alphaAB\" order=\"13\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_27\" name=\"Reversible Hill\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*substrate/Shalve*(1-product/(substrate*Keq))*(substrate/Shalve+product/Phalve)^(h-1)/(1+(substrate/Shalve+product/Phalve)^h)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_195\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_196\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_197\" name=\"Keq\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_198\" name=\"Vf\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_199\" name=\"Shalve\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_200\" name=\"Phalve\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_201\" name=\"h\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_28\" name=\"Reversible Michaelis-Menten\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/(1+substrate/Kms+product/Kmp)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_202\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_203\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_204\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_205\" name=\"Kmp\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_206\" name=\"Vf\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_207\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_29\" name=\"Specific activation (irrev)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate*Activator/(Kms*Ka+(Kms+substrate)*Activator)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_208\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_209\" name=\"Activator\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_210\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_211\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_212\" name=\"Ka\" order=\"4\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_30\" name=\"Specific activation (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)*Activator/(Ka+(1+substrate/Kms+product/Kmp)*Activator)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_213\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_214\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_215\" name=\"Activator\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_216\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_217\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_218\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_219\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_220\" name=\"Ka\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_31\" name=\"Substrate activation (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*(substrate/Ksa)^2/(1+substrate/Ksc+substrate/Ksa+(substrate/Ksa)^2)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_221\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_222\" name=\"V\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_223\" name=\"Ksc\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_224\" name=\"Ksa\" order=\"3\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n",
  "<Function key=\"Function_32\" name=\"Substrate inhibition (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate/(Km+substrate+Km*(substrate/Ki)^2)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_225\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_226\" name=\"Km\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_227\" name=\"V\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_228\" name=\"Ki\" order=\"3\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_33\" name=\"Substrate inhibition (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/(1+substrate/Kms+product/Kmp+(substrate/Ki)^2)\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_229\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_230\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_231\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_232\" name=\"Kmp\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_233\" name=\"Vf\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_234\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_235\" name=\"Ki\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_34\" name=\"Uncompetitive inhibition (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "<Expression>\n"
  "V*substrate/(Km+substrate*(1+Inhibitor/Ki))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_236\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_237\" name=\"Inhibitor\" order=\"1\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_238\" name=\"Km\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_239\" name=\"V\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_240\" name=\"Ki\" order=\"4\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_35\" name=\"Uncompetitive inhibition (rev)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "(Vf*substrate/Kms-Vr*product/Kmp)/(1+(substrate/Kms+product/Kmp)*(1+Inhibitor/Ki))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_241\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_242\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_243\" name=\"Inhibitor\" order=\"2\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_244\" name=\"Kms\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_245\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_246\" name=\"Vf\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_247\" name=\"Vr\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_248\" name=\"Ki\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_36\" name=\"Uni Uni\" type=\"PreDefined\" reversible=\"true\">\n"
  "<Expression>\n"
  "Vf*(substrate-product/Keq)/(substrate+Kms*(1+product/Kmp))\n"
  "</Expression>"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_249\" name=\"substrate\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_250\" name=\"product\" order=\"1\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_251\" name=\"Kms\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_252\" name=\"Kmp\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_253\" name=\"Vf\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_254\" name=\"Keq\" order=\"5\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_37\" name=\"Bi (irreversible)\" type=\"PreDefined\" reversible=\"false\">\n"
  "  <MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_37\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000151\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "  </MiriamAnnotation>\n"
  "  <Comment>\n"
  "    enzymatic rate law for irreversible non-modulated non-interacting bireactant enzymes\n"
  "  </Comment>\n"
  "  <Expression>\n"
  "    vmax*A*B/(Kma*Kmb + A*Kmb + B*Kma + A*B)\n"
  "  </Expression>\n"
  "  <ListOfParameterDescriptions>\n"
  "    <ParameterDescription key=\"FunctionParameter_255\" name=\"vmax\" order=\"0\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_256\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_257\" name=\"B\" order=\"2\" role=\"substrate\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_258\" name=\"Kma\" order=\"3\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_259\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "  </ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_38\" name=\"Arrhenius Bimolecular (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "  <Expression>\n"
  "    A*exp(-Ea/(R*T))*S1*S2\n"
  "  </Expression>\n"
  "  <ListOfParameterDescriptions>\n"
  "    <ParameterDescription key=\"FunctionParameter_264\" name=\"A\" order=\"0\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_299\" name=\"Ea\" order=\"1\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_261\" name=\"R\" order=\"2\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_284\" name=\"T\" order=\"3\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_292\" name=\"S1\" order=\"4\" role=\"substrate\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_301\" name=\"S2\" order=\"5\" role=\"substrate\"/>\n"
  "  </ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_43\" name=\"Arrhenius Unimolecular (irr)\" type=\"PreDefined\" reversible=\"false\">\n"
  "  <Expression>\n"
  "    A*exp(-Ea/(R*T))*S\n"
  "  </Expression>\n"
  "  <ListOfParameterDescriptions>\n"
  "    <ParameterDescription key=\"FunctionParameter_266\" name=\"A\" order=\"0\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_276\" name=\"Ea\" order=\"1\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_290\" name=\"R\" order=\"2\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_285\" name=\"T\" order=\"3\" role=\"constant\"/>\n"
  "    <ParameterDescription key=\"FunctionParameter_293\" name=\"S\" order=\"4\" role=\"substrate\"/>\n"
  "  </ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_44\" name=\"Bi Bi convenience\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_44\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)*(Q/Kmq)) / ( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_302\" name=\"A\" order=\"0\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_303\" name=\"B\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_304\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_305\" name=\"Kmb\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_306\" name=\"Vf\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_307\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_308\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_309\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_310\" name=\"Q\" order=\"8\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_311\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_45\" name=\"Bi Bi convenience (Keq)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_45\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb) *(A*B  - P*Q/Keq)) / ( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_312\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_313\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_314\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_315\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_316\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_317\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_318\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_319\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_320\" name=\"Kmp\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_321\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_46\" name=\"Bi Uni convenience\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_46\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)) / ( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_322\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_323\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_324\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_325\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_326\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_327\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_328\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_329\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_47\" name=\"Bi Uni convenience (Keq)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_47\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb)*(A*B-P/Keq )) / ( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_330\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_331\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_332\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_333\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_334\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_335\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_336\" name=\"Keq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_337\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_48\" name=\"Uni Bi convenience\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_48\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma) - Vr*(P/Kmp)*(Q/Kmq)) / ( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_338\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_339\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_340\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_341\" name=\"Vr\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_342\" name=\"P\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_343\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_344\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_345\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_49\" name=\"Uni Bi convenience (Keq)\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_49\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "( (Vf/Kma)*( A - P*Q/Keq)) / ( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_346\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_347\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_348\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_349\" name=\"P\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_350\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_351\" name=\"Q\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_352\" name=\"Kmq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_353\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_50\" name=\"Bi Bi convenience, non-competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_50\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)*(Q/Kmq)) / (( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  )*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_354\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_355\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_356\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_357\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_358\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_359\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_360\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_361\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_362\" name=\"Q\" order=\"8\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_363\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_364\" name=\"I\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_365\" name=\"Ki\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_51\" name=\"Bi Bi convenience (Keq), non-competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_51\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb) *(A*B  - P*Q/Keq))  / (( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  )*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_366\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_367\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_368\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_369\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_370\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_371\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_372\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_373\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_374\" name=\"Kmp\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_375\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_376\" name=\"I\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_377\" name=\"Ki\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_52\" name=\"Bi Uni convenience, non-competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_52\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)) / (( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) )*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_378\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_379\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_380\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_381\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_382\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_383\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_384\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_385\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_386\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_387\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_53\" name=\"Bi Uni convenience (Keq), non-competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_53\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb)*(A*B-P/Keq )) / (( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) )*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_388\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_389\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_390\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_391\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_392\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_393\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_394\" name=\"Keq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_395\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_396\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_397\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_54\" name=\"Uni Bi convenience, non-competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_54\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma) - Vr*(P/Kmp)*(Q/Kmq)) / (( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) )*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_398\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_399\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_400\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_401\" name=\"Vr\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_402\" name=\"P\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_403\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_404\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_405\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_406\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_407\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_55\" name=\"Uni Bi convenience (Keq), non-competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_55\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "( (Vf/Kma)*( A - P*Q/Keq)) / (( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) )*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_408\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_409\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_410\" name=\"A\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_411\" name=\"P\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_412\" name=\"Q\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_413\" name=\"Keq\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_414\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_415\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_416\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_417\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_56\" name=\"Bi convenience (irreversible), non-competitive inhibition\" type=\"PreDefined\" reversible=\"false\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_56\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000151\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "Vmax*A*B/ ((Kma*Kmb + A*Kmb + B*Kma + A*B)*(1+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_418\" name=\"Vmax\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_419\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_420\" name=\"B\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_421\" name=\"Kma\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_422\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_423\" name=\"I\" order=\"5\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_424\" name=\"Ki\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_57\" name=\"Bi Bi convenience, catalytic activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_57\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*Kmp*Kmq*A*B  - Vr*Kma*Kmb*P*Q)*Activator / ((Kma*Kmb*Kmp*Kmq  + Kmp*Kmq*(A*Kmb+B*Kma+A*B) + Kma*Kmb*(P*Kmq+Q*Kmp+P*Q))*(Activator+Ka) )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_425\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_426\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_427\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_428\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_429\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_430\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_431\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_432\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_433\" name=\"Q\" order=\"8\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_434\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_435\" name=\"Activator\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_436\" name=\"Ka\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_58\" name=\"Bi Bi convenience (Keq), catalytic activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_58\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*Kmp*Kmq*(A*B  - P*Q/Keq)*Activator )/ ((Kma*Kmb*Kmp*Kmq  + Kmp*Kmq*(A*Kmb+B*Kma+A*B) + Kma*Kmb*(P*Kmq+Q*Kmp+P*Q))*(Activator+Ka) )\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_437\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_438\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_439\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_440\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_441\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_442\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_443\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_444\" name=\"Q\" order=\"7\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_445\" name=\"Kmq\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_446\" name=\"Activator\" order=\"9\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_447\" name=\"Ka\" order=\"10\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_448\" name=\"Keq\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_59\" name=\"Bi Uni convenience, catalytic activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_59\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*A*B*Kmp  - Vr*P*Kma*Kmb)*Activator / ((Kma*Kmb*Kmp + Kmp*(A*Kmb+B*Kma+A*B) + Kma*Kmb*P)*(Activator+Ka))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_449\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_450\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_451\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_452\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_453\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_454\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_455\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_456\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_457\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_458\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_60\" name=\"Bi Uni convenience (Keq), catalytic activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_60\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*Kmp*(A*B-P/Keq )*Activator) /  ((Kma*Kmb*Kmp + Kmp*(A*Kmb+B*Kma+A*B) + Kma*Kmb*P)*(Activator+Ka))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_459\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_460\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_461\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_462\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_463\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_464\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_465\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_466\" name=\"Activator\" order=\"7\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_467\" name=\"Ka\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_468\" name=\"Keq\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_61\" name=\"Uni Bi convenience, catalytic activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_61\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*A*Kmp*Kmq - Vr*P*Q*Kma)*Activator / ( (Kma*Kmp*Kmq +Kmp*Kmq*A+Kma*(P*Kmq+Q*Kmp+P*Q))*(Activator+Ka))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_469\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_470\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_471\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_472\" name=\"Vr\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_473\" name=\"P\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_474\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_475\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_476\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_477\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_478\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n",
  "<Function key=\"Function_62\" name=\"Uni Bi convenience (Keq), catalytic activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_62\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "( (Vf*Kmp*Kmq)*( A - P*Q/Keq))*Activator /  ( (Kma*Kmp*Kmq +Kmp*Kmq*A+Kma*(P*Kmq+Q*Kmp+P*Q))*(Activator+Ka))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_479\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_480\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_481\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_482\" name=\"P\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_483\" name=\"Kmp\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_484\" name=\"Q\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_485\" name=\"Kmq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_486\" name=\"Activator\" order=\"7\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_487\" name=\"Ka\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_488\" name=\"Keq\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_63\" name=\"Bi convenience (irreversible), catalytic activation\" type=\"PreDefined\" reversible=\"false\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_63\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000151\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "Vmax*A*B*Activator/(Kma*Kmb*(Activator+Ka) + Kma*Activator*(A+B) + Ka*(A*Kmb+B*Kma))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_489\" name=\"Vmax\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_490\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_491\" name=\"B\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_492\" name=\"Kma\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_493\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_494\" name=\"Activator\" order=\"5\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_495\" name=\"Ka\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_64\" name=\"Bi Uni convenience, specific activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_64\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp))*Activator / ( ((1+(A/Kma))*(1+(B/Kmb))+(P/Kmp))*Activator +Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_496\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_497\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_498\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_499\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_500\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_501\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_502\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_503\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_504\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_505\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_65\" name=\"Bi Uni convenience (Keq), specific activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_65\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb)*(A*B-P/Keq ))*Activator / ( ((1+(A/Kma))*(1+(B/Kmb))+(P/Kmp))*Activator + Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_506\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_507\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_508\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_509\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_510\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_511\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_512\" name=\"Keq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_513\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_514\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_515\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_66\" name=\"Bi Uni convenience, competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_66\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)) / (( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) +I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_516\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_517\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_518\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_519\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_520\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_521\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_522\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_523\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_524\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_525\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_67\" name=\"Bi Uni convenience (Keq), competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_67\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb)*(A*B-P/Keq )) / (( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp)+I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_526\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_527\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_528\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_529\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_530\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_531\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_532\" name=\"Keq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_533\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_534\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_535\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_68\" name=\"Bi convenience (irreversible), specific activation\" type=\"PreDefined\" reversible=\"false\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_68\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000151\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "Vmax*A*B/((Kma*Kmb + A*Kmb + B*Kma + A*B)*Activator+ Ka*Kma*Kmb)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_536\" name=\"Vmax\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_537\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_538\" name=\"B\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_539\" name=\"Kma\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_540\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_541\" name=\"Activator\" order=\"5\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_542\" name=\"Ka\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_69\" name=\"Bi convenience (irreversible), competitive inhibition\" type=\"PreDefined\" reversible=\"false\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_69\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000151\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "Vmax*A*B*Ki/ (Ki*(Kma*Kmb + A*Kmb + B*Kma + A*B) + I*Kma*Kmb)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_543\" name=\"Vmax\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_544\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_545\" name=\"B\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_546\" name=\"Ki\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_547\" name=\"Kma\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_548\" name=\"Kmb\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_549\" name=\"I\" order=\"6\" role=\"modifier\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_70\" name=\"Bi Bi convenience, specific activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_70\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)*(Q/Kmq))*Activator / ( ( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1)*Activator + Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_550\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_551\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_552\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_553\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_554\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_555\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_556\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_557\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_558\" name=\"Q\" order=\"8\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_559\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_560\" name=\"Activator\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_561\" name=\"Ka\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_71\" name=\"Bi Bi convenience (Keq), specific activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_71\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb) *(A*B  - P*Q/Keq))*Activator  / ( ((1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1)*Activator +Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_562\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_563\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_564\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_565\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_566\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_567\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_568\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_569\" name=\"Q\" order=\"7\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_570\" name=\"Kmq\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_571\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_572\" name=\"Activator\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_573\" name=\"Keq\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_72\" name=\"Uni Bi convenience, competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_72\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma) - Vr*(P/Kmp)*(Q/Kmq)) / (( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) +I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_574\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_575\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_576\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_577\" name=\"Vr\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_578\" name=\"P\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_579\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_580\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_581\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_582\" name=\"I\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_583\" name=\"Ki\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_73\" name=\"Uni Bi convenience, specific activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_73\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma) - Vr*(P/Kmp)*(Q/Kmq))*Activator / ( ((A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)))*Activator + Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_584\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_585\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_586\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_587\" name=\"Vr\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_588\" name=\"P\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_589\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_590\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_591\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_592\" name=\"Ka\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_593\" name=\"Activator\" order=\"9\" role=\"modifier\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_74\" name=\"Uni Bi convenience (Keq), specific activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_74\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "\n"
  "</MiriamAnnotation><Expression>\n"
  "( (Vf/Kma)*( A - P*Q/Keq))*Activator /( ((A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)))*Activator + Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_594\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_595\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_596\" name=\"A\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_597\" name=\"P\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_598\" name=\"Q\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_599\" name=\"Keq\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_600\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_601\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_602\" name=\"Ka\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_603\" name=\"Activator\" order=\"9\" role=\"modifier\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_75\" name=\"Bi Bi convenience, competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_75\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)*(Q/Kmq)) / (( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  +I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_604\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_605\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_606\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_607\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_608\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_609\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_610\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_611\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_612\" name=\"Q\" order=\"8\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_613\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_614\" name=\"I\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_615\" name=\"Ki\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_76\" name=\"Bi Bi convenience (Keq), competitive inhibition\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_76\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb) *(A*B  - P*Q/Keq))  / (( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  +I/Ki))\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_616\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_617\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_618\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_619\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_620\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_621\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_622\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_623\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_624\" name=\"Kmp\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_625\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_626\" name=\"I\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_627\" name=\"Ki\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_77\" name=\"Uni Bi convenience, non-essential activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_77\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma) - Vr*(P/Kmp)*(Q/Kmq)) / ( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) )*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_628\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_629\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_630\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_631\" name=\"Vr\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_632\" name=\"P\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_633\" name=\"Kmp\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_634\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_635\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_636\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_637\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_78\" name=\"Bi Bi convenience, non-essential activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_78\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)*(Q/Kmq)) / ( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  )*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_638\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_639\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_640\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_641\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_642\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_643\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_644\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_645\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_646\" name=\"Q\" order=\"8\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_647\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_648\" name=\"Activator\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_649\" name=\"Ka\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_79\" name=\"Bi Bi convenience (Keq), non-essential activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_79\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb) *(A*B  - P*Q/Keq)) / ( (1+(A/Kma))*(1+(B/Kmb))+(1+(P/Kmp))*(1+(Q/Kmq))-1  )*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_650\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_651\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_652\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_653\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_654\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_655\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_656\" name=\"Q\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_657\" name=\"Keq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_658\" name=\"Kmp\" order=\"8\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_659\" name=\"Kmq\" order=\"9\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_660\" name=\"Activator\" order=\"10\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_661\" name=\"Ka\" order=\"11\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_80\" name=\"Uni Bi convenience (Keq), non-essential activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_80\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "( (Vf/Kma)*( A - P*Q/Keq)) / ( (A/Kma)+(1+(P/Kmp))*(1+(Q/Kmq)) )*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_662\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_663\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_664\" name=\"A\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_665\" name=\"P\" order=\"3\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_666\" name=\"Q\" order=\"4\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_667\" name=\"Keq\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_668\" name=\"Kmp\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_669\" name=\"Kmq\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_670\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_671\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_81\" name=\"Bi convenience (irreversible), non-essential activation\" type=\"PreDefined\" reversible=\"false\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_81\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:obo.sbo:SBO:0000151\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "Vmax*A*B/(Kma*Kmb + A*Kmb + B*Kma + A*B)*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_672\" name=\"Vmax\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_673\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_674\" name=\"B\" order=\"2\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_675\" name=\"Kma\" order=\"3\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_676\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_677\" name=\"Activator\" order=\"5\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_678\" name=\"Ka\" order=\"6\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n",
  "<Function key=\"Function_82\" name=\"Bi Uni convenience, non-essential activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_82\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf*(A/Kma)*(B/Kmb)  - Vr*(P/Kmp)) / ( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) )*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_679\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_680\" name=\"A\" order=\"1\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_681\" name=\"Kma\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_682\" name=\"B\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_683\" name=\"Kmb\" order=\"4\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_684\" name=\"Vr\" order=\"5\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_685\" name=\"P\" order=\"6\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_686\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_687\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_688\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "<Function key=\"Function_83\" name=\"Bi Uni convenience (Keq), non-essential activation\" type=\"PreDefined\" reversible=\"true\">\n"
  "<MiriamAnnotation>\n"
  "<rdf:RDF xmlns:CopasiMT=\"http://www.copasi.org/RDF/MiriamTerms#\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n"
  "<rdf:Description rdf:about=\"#Function_83\">\n"
  "<CopasiMT:is rdf:resource=\"urn:miriam:sbo:SBO:0000429\"/>\n"
  "</rdf:Description>\n"
  "</rdf:RDF>\n"
  "</MiriamAnnotation><Expression>\n"
  "(Vf/(Kma*Kmb)*(A*B-P/Keq )) / ( (1+(A/Kma))*(1+(B/Kmb))+(P/Kmp) )*(1+Activator/Ka)\n"
  "</Expression>\n"
  "<ListOfParameterDescriptions>\n"
  "<ParameterDescription key=\"FunctionParameter_689\" name=\"Vf\" order=\"0\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_690\" name=\"Kma\" order=\"1\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_691\" name=\"Kmb\" order=\"2\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_692\" name=\"A\" order=\"3\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_693\" name=\"B\" order=\"4\" role=\"substrate\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_694\" name=\"P\" order=\"5\" role=\"product\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_695\" name=\"Keq\" order=\"6\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_696\" name=\"Kmp\" order=\"7\" role=\"constant\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_697\" name=\"Activator\" order=\"8\" role=\"modifier\"/>\n"
  "<ParameterDescription key=\"FunctionParameter_698\" name=\"Ka\" order=\"9\" role=\"constant\"/>\n"
  "</ListOfParameterDescriptions>\n"
  "</Function>\n"
  "</ListOfFunctions>\n"
  "</COPASI>\n"};
  
  const std::string & FunctionDBxml()
  {
    static std::string FunctionDBxml;

    if (FunctionDBxml.empty())
      for (auto & xml : FunctionDBxmlArray)
        FunctionDBxml += xml;

    return FunctionDBxml;
  }
